For the complete documentation index, see llms.txt. This page is also available as Markdown.

List suppliers

List all suppliers.

get
/tenants/{tenantUid}/suppliers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
activebooleanOptional

Filter suppliers on active status. When true, only active suppliers are returned. When false, only inactive suppliers are returned. When omitted, all suppliers are returned.

supplierExternalIdstringOptional

External id of a supplier.

supplierNamestringOptional

Reference to the name of a supplier.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/suppliers
GET /v2/tenants/{tenantUid}/suppliers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "contactEmail": "text",
      "contactName": "text",
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "email": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "phone": "text",
      "postalCode": "text",
      "supplierUid": "text",
      "vatNumber": "text",
      "active": true,
      "bankInfo": {
        "accountNumber": "text",
        "bankName": "text",
        "iban": "text",
        "swift": "text",
        "giroAccountNumber": "text"
      },
      "fixedDiscountRate": 1,
      "currency": "text",
      "freightPercentage": 1,
      "representedStoreUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?